#
# spec file for package pdf2html (Version 0.35)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm

Name:         pdf2html
Summary:      PDF to HTML converter
%define name pdftohtml
Version:      0.35
Release:      64
%define version 0_35
Group:        Productivity/Publishing/PDF
#Requires:   xpdf
Provides:     pdftohtml
License:      LGPL
URL:          http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/
Source0:      http://belnet.dl.sourceforge.net/sourceforge/pdftohtml/pdftohtml_%{version}.tar.gz
#Was: http://www.ra.informatik.uni-stuttgart.de/~gosho/pdftohtml/Download/pdftohtml_%{version}.tar.gz
Patch0:       pdftohtml-tmpfile.diff
Patch1:       pdf2html-0.35.diff
Patch10:      libgoo-sizet.patch
Patch11:      xpdf-CESA-2004-007-xpdf2-newer.diff
Patch12:      xpdf2-underflow.patch
Patch13:      xpdf-3.00pl2.patch
Patch14:      xpdf-decrypt.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
PDF to HTML converter

Authors:
--------
    Rainer Dorsch <rainer.dorsch@informatik.uni-stuttgart.de>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -n %{name}_$RPM_PACKAGE_VERSION
# %setup -q -n ${RPM_PACKAGE_NAME}
%patch0 -p 1 -b .temp
%patch1 -p 1 -b .src
%patch10 -p 1 -b .goosizet
cd xpdf
%patch11 -p 1 -b .cesa-2004-007
%patch12 -p 2 -b .underflow
%patch13 -p 1 -b .CAN-2004-1125
%patch14 -p 0 -b .decrypt
cd ..

%build
#CFLAGS=$RPM_OPT_FLAGS \
#  ./configure --prefix=/usr %{_target_cpu}-suse-linux-gnu
# LDFLAGS=-s
# make CXX=g++ "CFLAGS=$RPM_OPT_FLAGS" prefix=/usr 
make CXX=g++ prefix=/usr 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL} pdftohtml $RPM_BUILD_ROOT/usr/bin
# make install prefix=$RPM_BUILD_ROOT/usr
# make install.man

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/*
# spec file ends here

%changelog -n pdf2html
* Wed Jan 19 2005 - ke@suse.de
- New xpdf-decrypt.patch provided by upstream author to fix
  CAN-2005-0064 [#49840].
* Fri Jan 14 2005 - ke@suse.de
- Apply xpdf-decrypt.patch to fix buffer overflow CAN-2005-0064
  [#49840].
- Apply xpdf security patch (xpdf-3.00pl2.patch) as prepared by Marcus
  Meissner.  CAN-2004-1125 [#49463].
* Wed Nov 03 2004 - ke@suse.de
- Continue with fixing arithmetic flaws; using patches provided by
  Marcus Meissner [#43082].
* Wed Jan 15 2003 - ke@suse.de
- Update to version 0.34:
  * Better HTML 4.01 compliance.
  * Add meta author, keywords and date.
  * Add mechanism for correct charsets.
  * Fix bug with links pointing nowhere for '-c -noframes'.
  * Fix bug with page numbering.
  * Fix bug with collapsing text for '-c -noframes -i'.
  * Update Xpdf to 2.01.
* Wed Jul 10 2002 - ke@suse.de
- Update to version 0.34:
  * Bugfixes
  * Add pdf-vector drawings extraction
  * output for XML post-processing
  * zoom option
  * experimental ability to specify output encoding (UTF-8 might work)
  * ability to specify user/master password
  * fix core dump on documents with type 3 fonts only
  * fix bug with inline images not being handled properly
  * Ghostscript is executed from the program itself, no need for
  external script
  * ps output (for complex mode) is produced by pdftohtml, got rid of pdftops
  * several memory leaks fixed (should not crash on large files now)
  * join multiple <b></b>'s and <i></i>'s together
  * command line option to extract hidden text
  * parts of hrefs (links) are joined together (just like <b> and <i>)
  * paragraphs joined together
  * updated Xpdf to 1.01
  * can produce noframes (single html file) output for complex mode
- goo/gfile.c: Make sure to use mkstemp instead of tmpnam.
* Sun Dec 10 2000 - schwab@suse.de
- Fix missing declarations.
* Tue Apr 11 2000 - ke@suse.de
- make version 0.21 an official package.
* Tue Feb 15 2000 - ke@suse.de
- Initial package: version 0.20.
